#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	cppunit
Version		:	1.14.0
Release		:	16.2.0.rel%{?dist}
Summary		:	CppUnit is the C++ port of the famous JUnit framework for unit testing.
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://www.freedesktop.org/wiki/Software/cppunit/

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
#-----------------------------------------------------------------------------
%description
'%{name}'  is the C++ port of the famous JUnit framework
for unit testing. Test output is in XML for automatic
testing and GUI based for supervised tests.

#-----------------------------------------------------------------------------
%prep
%setup -q
#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING FAQ INSTALL* NEWS README
%doc CodingGuideLines.txt
%{_bindir}/DllPlugInTester
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/*/*.h
%{_includedir}/%{name}/*/text/*.h
%{_libdir}/lib%{name}*.so*
%{_libdir}/pkgconfig/%{name}*.pc
%{_datadir}/%{name}/html/*

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
